/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomWebKitTransitionEvent_H__
#define __GdomWebKitTransitionEvent_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomEvent.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomWebKitTransitionEvent GdomWebKitTransitionEvent;
typedef struct _GdomWebKitTransitionEventClass GdomWebKitTransitionEventClass;


#define GDOM_TYPE_WEB_KIT_TRANSITION_EVENT            (gdom_web_kit_transition_event_get_type())
#define GDOM_WEB_KIT_TRANSITION_EVENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_WEB_KIT_TRANSITION_EVENT, GdomWebKitTransitionEvent))
#define GDOM_WEB_KIT_TRANSITION_EVENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_WEB_KIT_TRANSITION_EVENT, GdomWebKitTransitionEvent)Class)
#define GDOM_IS_WEB_KIT_TRANSITION_EVENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_WEB_KIT_TRANSITION_EVENT))
#define GDOM_IS_WEB_KIT_TRANSITION_EVENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_WEB_KIT_TRANSITION_EVENT))
#define GDOM_WEB_KIT_TRANSITION_EVENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_WEB_KIT_TRANSITION_EVENT, GdomWebKitTransitionEventClass))

typedef struct _GdomWebKitTransitionEventPrivate GdomWebKitTransitionEventPrivate;

struct _GdomWebKitTransitionEvent {
    GdomEvent parent_instance;
    GdomWebKitTransitionEventPrivate *priv;
};

struct _GdomWebKitTransitionEventClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_web_kit_transition_event_get_type (void);

WEBKIT_API void
gdom_web_kit_transition_event_init_web_kit_transition_event (GdomWebKitTransitionEvent *thiz, gchar * type_arg, gboolean can_bubble_arg, gboolean cancelable_arg, gchar * property_name_arg, gdouble elapsed_time_arg);

G_END_DECLS

#endif /* __GdomWebKitTransitionEvent_H__ */
